=encoding utf8

=head1 NAME

Mail::Field::Generic - implementation for inspecific fields

=head1 INHERITANCE

 Mail::Field::Generic
   is a Mail::Field

=head1 SYNOPSIS

 use Mail::Field;
 my $field = Mail::Field->new('Subject', 'some subject text');
 my $field = Mail::Field->new(subject => 'some subject text');

=head1 DESCRIPTION

A generic implementation for header fields without own
implementation. This is fine for fields like C<Subject>, C<X-Mailer>,
etc., where the field holds only a string of no particular
importance/format.

Extends L<"DESCRIPTION" in Mail::Field|Mail::Field/"DESCRIPTION">.
 
=head1 METHODS

Extends L<"METHODS" in Mail::Field|Mail::Field/"METHODS">.
 
=head2 Constructors

Extends L<"Constructors" in Mail::Field|Mail::Field/"Constructors">.
 
=over 4

=item Mail::Field::Generic-E<gt>B<combine>(FIELDS)

Inherited, see L<Mail::Field/"Constructors">

=item Mail::Field::Generic-E<gt>B<extract>( TAG, HEAD [, INDEX ] )

Inherited, see L<Mail::Field/"Constructors">

=item Mail::Field::Generic-E<gt>B<new>( TAG [, STRING | OPTIONS] )

Inherited, see L<Mail::Field/"Constructors">

=back

=head2 "Fake" constructors

Extends L<""Fake" constructors" in Mail::Field|Mail::Field/""Fake" constructors">.
 
=over 4

=item $obj-E<gt>B<create>(OPTIONS)

 -Option--Default
  Text    ''

=over 2

=item Text => STRING

=back

=item $obj-E<gt>B<parse>( [STRING] )

Set the new text, which is empty when no STRING is provided.

=back

=head2 Accessors

Extends L<"Accessors" in Mail::Field|Mail::Field/"Accessors">.
 
=over 4

=item $obj-E<gt>B<set>(OPTIONS)

Inherited, see L<Mail::Field/"Accessors">

=item $obj-E<gt>B<stringify>()

Inherited, see L<Mail::Field/"Accessors">

=item $obj-E<gt>B<tag>()

=item Mail::Field::Generic-E<gt>B<tag>()

Inherited, see L<Mail::Field/"Accessors">

=back

=head2 Smart accessors

Extends L<"Smart accessors" in Mail::Field|Mail::Field/"Smart accessors">.
 
=over 4

=item $obj-E<gt>B<text>( [STRING] )

Inherited, see L<Mail::Field/"Smart accessors">

=back

=head1 DETAILS

Extends L<"DETAILS" in Mail::Field|Mail::Field/"DETAILS">.
 
=head1 DIAGNOSTICS

=over 4

=item Error: Undefined subroutine <method> called

Mail::Field objects use autoloading to compile new functionality.
Apparently, the method called is not implemented for the specific
class of the field object.

=back

=head1 SEE ALSO

This module is part of the MailTools distribution,
F<http://perl.overmeer.net/mailtools/>.

=head1 AUTHORS

The MailTools bundle was developed by Graham Barr.  Later, Mark
Overmeer took over maintenance without commitment to further development.

Mail::Cap by Gisle Aas E<lt>aas@oslonett.noE<gt>.
Mail::Field::AddrList by Peter Orbaek E<lt>poe@cit.dkE<gt>.
Mail::Mailer and Mail::Send by Tim Bunce E<lt>Tim.Bunce@ig.co.ukE<gt>.
For other contributors see ChangeLog.

=head1 LICENSE

Copyrights 1995-2000 Graham Barr E<lt>gbarr@pobox.comE<gt> and
2001-2017 Mark Overmeer E<lt>perl@overmeer.netE<gt>.

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.
See F<http://www.perl.com/perl/misc/Artistic.html>

